#ifndef WIREDITEM_H
#define WIREDITEM_H

#include "deviceitem.h"

#include <QWidget>
#include <QLabel>

class WiredItem : public DeviceItem
{
    Q_OBJECT

public:
    explicit WiredItem(const QUuid &deviceUuid);

    NetworkDevice::NetworkType type() const;
    NetworkDevice::NetworkState state() const;
    QWidget *itemPopup();
    const QString itemCommand() const;

protected:
    void paintEvent(QPaintEvent *e);
    void resizeEvent(QResizeEvent *e);
    void mousePressEvent(QMouseEvent *e);

private:
    void reloadIcon();
    void activeConnectionChanged(const QUuid &uuid);

private:
    bool m_connected;
    QPixmap m_icon;

    QLabel *m_itemTips;
};

#endif // WIREDITEM_H
